import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
   {
    title: '设备',
    align:"center",
    dataIndex: 'eqpId_dictText'
   },
   // {
   //  title: '工单号',
   //  align:"center",
   //  dataIndex: 'orderCode'
   // },
   {
    title: '时间',
    align:"center",
    sorter: true,
    dataIndex: 'orderTime',
    customRender:({text}) =>{
      return !text?"":(text.length>10?text.substr(0,10):text)
    },
   },
   {
    title: '索引',
    align:"center",
    sorter: true,
    dataIndex: 'formulaIndex'
   },
   {
    title: '编码',
    align:"center",
    dataIndex: 'code'
   },
   {
    title: '名称',
    align:"center",
    sorter: true,
    dataIndex: 'name'
   },
   {
    title: '类型',
    align:"center",
    sorter: true,
    dataIndex: 'typ'
   },
   {
    title: 'ab',
    align:"center",
    dataIndex: 'ab'
   },
   {
    title: '投料量（筐）',
    align:"center",
    dataIndex: 'weight1'
   },
   {
    title: '初始重量',
    align:"center",
    dataIndex: 'weight2'
   },
   {
    title: '热风温度',
    align:"center",
    dataIndex: 'temp1'
   },
   {
    title: '环境温度',
    align:"center",
    dataIndex: 'temp2'
   },
   {
    title: '环境湿度',
    align:"center",
    dataIndex: 'temp3'
   },
   {
    title: '荡料延时ms',
    align:"center",
    dataIndex: 'delay'
   },
   {
    title: '翻料次数',
    align:"center",
    dataIndex: 'turntime'
   },
   {
    title: '初始含水率',
    align:"center",
    dataIndex: 'moisture1'
   },
   {
    title: '目标含水率',
    align:"center",
    dataIndex: 'moisture3'
   },
   {
    title: '药材分类',
    align:"center",
    dataIndex: 'mtype'
   },
   {
    title: '含水率补偿',
    align:"center",
    dataIndex: 'moisoffset'
   },
   {
    title: '冷风时长',
    align:"center",
    dataIndex: 'coldwind'
   },
   {
    title: '租户id',
    align:"center",
    dataIndex: 'tenantId'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
	{
      label: "设备",
      field: 'eqpId',
      component: 'Input',
      colProps: {span: 6},
 	},
	{
      label: "时间",
      field: 'orderTime',
      component: 'DatePicker',
      colProps: {span: 6},
 	},
  {
    label: "名称",
    field: 'name',
    component: 'Input',
    colProps: {span: 6},
  },
	{
      label: "索引",
      field: 'formulaIndex',
      component: 'Input',
      colProps: {span: 6},
 	},
	{
      label: "编码",
      field: 'code',
      component: 'Input',
      colProps: {span: 6},
 	},

	{
      label: "类型",
      field: 'typ',
      component: 'Input',
      colProps: {span: 6},
 	},
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '设备',
    field: 'eqpId',
    component: 'Input',
  },
  // {
  //   label: '工单号',
  //   field: 'orderCode',
  //   component: 'Input',
  // },
  {
    label: '时间',
    field: 'orderTime',
    component: 'DatePicker',
  },
  {
    label: '索引',
    field: 'formulaIndex',
    component: 'Input',
  },
  {
    label: '编码',
    field: 'code',
    component: 'Input',
  },
  {
    label: '名称',
    field: 'name',
    component: 'Input',
  },
  {
    label: '类型',
    field: 'typ',
    component: 'Input',
  },
  {
    label: 'ab',
    field: 'ab',
    component: 'Input',
  },
  {
    label: '投料量（筐）',
    field: 'weight1',
    component: 'InputNumber',
  },
  {
    label: '初始重量',
    field: 'weight2',
    component: 'InputNumber',
  },
  {
    label: '热风温度',
    field: 'temp1',
    component: 'InputNumber',
  },
  {
    label: '环境温度',
    field: 'temp2',
    component: 'InputNumber',
  },
  {
    label: '环境湿度',
    field: 'temp3',
    component: 'InputNumber',
  },
  {
    label: '荡料延时ms',
    field: 'delay',
    component: 'InputNumber',
  },
  {
    label: '翻料次数',
    field: 'turntime',
    component: 'InputNumber',
  },
  {
    label: '初始含水率',
    field: 'moisture1',
    component: 'InputNumber',
  },
  {
    label: '目标含水率',
    field: 'moisture3',
    component: 'InputNumber',
  },
  {
    label: '药材分类',
    field: 'mtype',
    component: 'InputNumber',
  },
  {
    label: '含水率补偿',
    field: 'moisoffset',
    component: 'InputNumber',
  },
  {
    label: '冷风时长',
    field: 'coldwind',
    component: 'InputNumber',
  },
  {
    label: '租户id',
    field: 'tenantId',
    component: 'InputNumber',
  },
	// TODO 主键隐藏字段，目前写死为ID
	{
	  label: '',
	  field: 'id',
	  component: 'Input',
	  show: false
	},
];



/**
* 流程表单调用这个方法获取formSchema
* @param param
*/
export function getBpmFormSchema(_formData): FormSchema[]{
  // 默认和原始表单保持一致 如果流程中配置了权限数据，这里需要单独处理formSchema
  return formSchema;
}
